Subject: Re: [Bier] IPA replace BAR - inconsistency across documents

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Fri, 1 Mar 2019 19:12:40 +0000

Hi Benjamin,

I take it that you do agree that the language in draft-ietf-bier-bar-ipa is fine, just that it is somewhat conflicting with the existing wording in RFC8444/8401.

Since the bar-ipa draft is for the following purpose:

   This document specifies general rules for interaction between the BAR
   (BIER Algorithm) and IPA (IGP Algorithm) fields defined in ISIS/
   OSPFv2 Extensions for BIER.

I am thinking that we don't need to explicitly update the wording in RFC8444/8401. Rather, marking this spec with "update RFC8444/8401" should be appropriate.

What do you think?

Thanks.
Jeffrey

From: BIER <[email-masked]> On Behalf Of benjamin r
Sent: Wednesday, February 27, 2019 5:46 AM
To: [email-masked]
Subject: [Bier] IPA replace BAR - inconsistency across documents

Hi All,

draft-ietf-bier-bar-ipa-03 states "If BA is not NULL, AG is set to BA."
This means, BAR take precedence over IPA.
This statement is conflicting with the OSPF/ISIS RFCs, which states IPA replaces path calculation defined by BAR value.

Excerpts from rfc8444 - Section 2.1.

   IPA:  Single-octet IGP Algorithm used to either modify, enhance, or
      replace the calculation of underlay paths to reach other BFRs as
      defined by the BAR value.  Values are defined in the "IGP
      Algorithm Types" registry [IANA-IGP].

Excerpts from rfc8401 - Section 6.1.

IPA: IGP Algorithm. Specifies an IGP Algorithm to either modify,
enhance, or replace the calculation of underlay paths to reach
BFERs as defined by the BAR value. Values are from the IGP
Algorithm registry. 1 octet.

To avoid confusions, can we update the texts in rfc8444 and rfc8401 to align with draft-ietf-bier-bar-ipa-03 ?

Thanks
Benjamin R
VRP PDU, Network Business Line
Huawei Technologies India Pvt. Ltd.
Survey No. 37, Next to EPIP Area, Kundalahalli, Whitefield
Bengaluru-560066, Karnataka
Tel: + 91-80-49160700 Ext II Mob: 8123906320 Email: [email-masked]<mailto:[email-masked]>
[Company_logo]

________________________________

This e-mail and its attachments contain confidential information from HUAWEI, which
is intended only for the person or entity whose address is listed above. Any use of the
information contained herein in any way (including, but not limited to, total or partial
disclosure, reproduction, or dissemination) by persons other than the intended
recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by
phone or email immediately and delete it!

---

From: Tony Przygienda <[email-masked]>
Date: Fri, 1 Mar 2019 11:31:07 -0800

I thought that the language was clear enough to mean "replace if the other
value is 0", i.e. as long IGP algorithms are desired BAR=0 is used, the
moment special BIER metrics/computation types depending e.g. on presence of
subdomains and so on is needed, one would use BAR!=0 ... What IPA!=0 would
mean in such a case is to be defined for specific use cases as far I
remember the draft langugage. That seems all pretty water-tight to me and
all people involved were in agreement/had common understanding as the
author lists show ...

--- tony

On Fri, Mar 1, 2019 at 11:12 AM Jeffrey (Zhaohui) Zhang <[email-masked]>
wrote:

> Hi Benjamin,
>
>
>
> I take it that you do agree that the language in draft-ietf-bier-bar-ipa
> is fine, just that it is somewhat conflicting with the existing wording in
> RFC8444/8401.
>
>
>
> I am thinking that we don’t need to explicitly update the wording in
> RFC8444/8401. Rather, marking this spec with “update RFC8444/8401” should
> be appropriate.
>
>
>
>
> What do you think?
>
>
>
> Thanks.
> Jeffrey
>
>
>
> *From:* BIER <[email-masked]> *On Behalf Of *benjamin r
> *Sent:* Wednesday, February 27, 2019 5:46 AM
> *To:* [email-masked]
> *Subject:* [Bier] IPA replace BAR - inconsistency across documents
>
>
>
> Hi All,
>
>
>
> *draft-ietf-bier-bar-ipa-03* states “*If BA is not NULL, AG is set to BA.*
> ”
>
> This statement is conflicting with the OSPF/ISIS RFCs, which states IPA
> replaces path calculation defined by BAR value.
>
>
>
> *Excerpts from rfc8444 - S*ection 2.1.
>
>
>
>       *replace* the *calculation* of underlay paths to reach other BFRs as
>
>       *defined by the BAR value*.  Values are defined in the "IGP
>
> *Excerpts from rfc8401 - *Section 6.1.
>
>
>
> enhance, or *replace* the *calculation* of underlay paths to reach
>
> BFERs as *defined by the BAR value*. Values are from the IGP
>
> Tel: + 91-80-49160700 Ext II Mob: 8123906320 Email: [email-masked]
>
>
>
>
>
> ------------------------------
>
>
>

---

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Fri, 1 Mar 2019 21:52:57 +0000

Hi Tony,

I guess Benjamin’s point is that RFC8444/8401 used “replace” w/o the “if the other value is 0”.
I think we all (including Benjamin) agree that the bar-ipa spec is crystal clear but Benjamin’s question is whether the RFC8444/8401 should change wording, and my thinking is there is no need.

Thanks.
Jeffrey

From: Tony Przygienda <[email-masked]>
Sent: Friday, March 1, 2019 2:31 PM
To: Jeffrey (Zhaohui) Zhang <[email-masked]>
Cc: benjamin r <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: IPA replace BAR - inconsistency across documents

I thought that the language was clear enough to mean "replace if the other value is 0", i.e. as long IGP algorithms are desired BAR=0 is used, the moment special BIER metrics/computation types depending e.g. on presence of subdomains and so on is needed, one would use BAR!=0 ... What IPA!=0 would mean in such a case is to be defined for specific use cases as far I remember the draft langugage. That seems all pretty water-tight to me and all people involved were in agreement/had common understanding as the author lists show ...

--- tony

On Fri, Mar 1, 2019 at 11:12 AM Jeffrey (Zhaohui) Zhang <[email-masked]<mailto:[email-masked]>> wrote:
Hi Benjamin,

I am thinking that we don’t need to explicitly update the wording in RFC8444/8401. Rather, marking this spec with “update RFC8444/8401” should be appropriate.

What do you think?

Thanks.
Jeffrey

From: BIER <[email-masked]<mailto:[email-masked]>> On Behalf Of benjamin r
Sent: Wednesday, February 27, 2019 5:46 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [Bier] IPA replace BAR - inconsistency across documents

Hi All,

draft-ietf-bier-bar-ipa-03 states “If BA is not NULL, AG is set to BA.”
This means, BAR take precedence over IPA.
This statement is conflicting with the OSPF/ISIS RFCs, which states IPA replaces path calculation defined by BAR value.

Thanks
Benjamin R

---

From: Loa Andersson <[email-masked]>
Date: Sat, 2 Mar 2019 14:39:29 +0800

Jeffrey,

I think that an update of RFC8444/8401 is not "necessary".

That said, it would be very easy to do the update from the bar-ipa spec,
just identify then that needs to be changed and tell how it should read.

/Loa

On 2019-03-02 05:52, Jeffrey Zhaohui) Zhang wrote:
> I think we all (including Benjamin) agree that the bar-ipa spec is 
> crystal clear but Benjamin’s question is whether the RFC8444/8401 should 
> change wording, and my thinking is there is no need.
> 
> Thanks.
> Jeffrey
> 
> *From:*Tony Przygienda <[email-masked]>
> *Sent:* Friday, March 1, 2019 2:31 PM
> *To:* Jeffrey (Zhaohui) Zhang <[email-masked]>
> *Cc:* benjamin r <[email-masked]>; [email-masked]; [email-masked]
> *Subject:* Re: IPA replace BAR - inconsistency across documents
> 
> I thought that the language was clear enough to mean "replace if the 
> other value is 0", i.e. as long IGP algorithms are desired BAR=0 is 
> used, the moment special BIER metrics/computation types depending e.g. 
> on presence of subdomains and so on is needed, one would use BAR!=0 ... 
> What IPA!=0 would mean in such a case is to be defined for specific use 
> cases as far I remember the draft langugage. That seems all pretty 
> water-tight to me and all people involved were in agreement/had common 
> understanding as the author lists show ...
> 
> --- tony
> 
> On Fri, Mar 1, 2019 at 11:12 AM Jeffrey (Zhaohui) Zhang 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Hi Benjamin,
> 
>     I take it that you do agree that the language in
>     draft-ietf-bier-bar-ipa is fine, just that it is somewhat
>     conflicting with the existing wording in RFC8444/8401.
> 
>     RFC8444/8401. Rather, marking this spec with “update RFC8444/8401”
>     should be appropriate.
> 
>     What do you think?
> 
>     Thanks.
>     Jeffrey
> 
>     *From:* BIER <[email-masked] <mailto:[email-masked]>>
>     *On Behalf Of *benjamin r
>     *To:* [email-masked] <mailto:[email-masked]>
>     *draft-ietf-bier-bar-ipa-03*states “*If BA is not NULL, AG is set to
>     BA.*”
> 
>     This statement is conflicting with the OSPF/ISIS RFCs, which states
>     IPA replaces path calculation defined by BAR value.
> 
>     *Excerpts fromrfc8444 - S*ection 2.1.
> 
>     IPA:Single-octet IGP Algorithm used to either modify, enhance, or
> 
>     *defined by the BAR value*.Values are defined in the "IGP
> 
>     *Excerpts fromrfc8401 - *Section 6.1.
> 
>     To avoid confusions, can we update the texts in rfc8444 and rfc8401
>     to align with draft-ietf-bier-bar-ipa-03 ?
> 
>     Thanks
> 
>     Benjamin R
> 
>     Tel: + 91-80-49160700 Ext II Mob: 8123906320 Email:
>     [email-masked] <mailto:[email-masked]>
> 
>     Company_logo
> 
>     ------------------------------------------------------------------------
> 
> _______________________________________________
> BIER mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bier
> 

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: Senthil Dhanaraj <[email-masked]>
Date: Sat, 2 Mar 2019 06:53:00 +0000

+1

Adding a text of below sorts to draft-ietf-bier-bar-ipa-03 should suffice.
" The semantics for the BAR and IPA fields (when both or any of them is non-zero) defined in this document updates the semantics defined in RFC8444/RFC8401."

Note:
Hereon, any new drafts defining the extensions for BIER (ex: BGP) shall point to draft-ietf-bier-bar-ipa-03 to explain the usage of BAR/IPA fields.

Thanks,
Senthil

-----Original Message-----
From: BIER [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: 02 March 2019 12:09
To: Jeffrey (Zhaohui) Zhang <zzhang=[email-masked]>; Tony Przygienda <[email-masked]>
Cc: [email-masked]; [email-masked]; benjamin r <[email-masked]>
Subject: Re: [Bier] IPA replace BAR - inconsistency across documents

Jeffrey,

That said, it would be very easy to do the update from the bar-ipa spec, just identify then that needs to be changed and tell how it should read.

/Loa

On 2019-03-02 05:52, Jeffrey Zhaohui) Zhang wrote:
> crystal clear but Benjamin’s question is whether the RFC8444/8401 
> should change wording, and my thinking is there is no need.
> 
> Thanks.
> Jeffrey
> 
> What IPA!=0 would mean in such a case is to be defined for specific 
> use cases as far I remember the draft langugage. That seems all pretty 

--

---

From: Loa Andersson <[email-masked]>
Date: Sun, 3 Mar 2019 13:46:33 +0800

Senthil,

With all dure respect I don't think that is what we want to do, or not
only, the format the update should take is:

   "The second sentence of the third paragraph of sectin 4.2 in RFC xxxx
    says: If FOO, then BAR. It is now changed to say: If FOO then FUBAR".

I.e. exactly what you want to do to the document being updated. So when
someone implementing RFC xxxx can easily find the update.

As I said I'm not sure we need to do this, but it is a fairly simple
procedure.

/Loa

--